package com.steering.pss.sale.order;

import CoreFS.SA06.CoreReturnObject;

import com.steering.comm.db.DBCommon;

public class CoreOrderLine extends DBCommon {
    
    /**
     * 查询接箍单个重量
     * @return CoreReturnObject 必须返回CoreReturnObject
     */
    public CoreReturnObject getJG_Weight(String strProduc_code, String strStd_code, String strStd_style, String strSteelcode, String strSpec_code, String strModel_code) {
        Object[] params = new Object[] {strProduc_code,strSteelcode,strSpec_code,strModel_code };
        return this.getDataBySqlID("CorePscSelect.doQueryJGweight", params);
    }
    
    
    /**
     * 查询订货规格
     * @return CoreReturnObject 必须返回CoreReturnObject
     */
    public CoreReturnObject GetQuerySpecOrderIght() {
        return this.getDataBySqlID("CorePscSelect.doQuerySpecOrder"); // CoreOrderLine.xml里面
    }

    /**
     * 查询扣型
     * @return CoreReturnObject 必须返回CoreReturnObject
     */
    public CoreReturnObject GetQueryBaseModel() {
        return this.getDataBySqlID("CorePscSelect.doQueryBaseModel");
    }

    /**
     * 查询品名类型 A B C D
     * @param saleRegion
     * @return
     */
    public CoreReturnObject BindSlmBaseInfo(String ordpk) {
        Object[] params = new Object[] { ordpk };
        return this.getDataBySqlID("CoreOrderLine.SlmBaseInfo", params);
    }

    /**
     * 查询产品规格基础信息查询
     * @param includeDeleted 是否包含已删除数据
     * @param name 产品规格描述
     * @return CoreReturnObject 必须返回CoreReturnObject
     */
    public CoreReturnObject getBindSpecOrder(Boolean includeDeleted,
            String name, String type) {
        String deletedFlag = includeDeleted ? "0" : "";
        Object[] params = new Object[] { deletedFlag, name, type };
        return this.getDataBySqlID("CoreOrderLine.BindSpecOrder", params);
    }

    public CoreReturnObject getMscInfo(String msc) {
        Object[] obj = new Object[] { msc };
        return this.getDataBySqlID("CoreOrderLine.getMscInfo", obj);
    }

    public CoreReturnObject getSpecInfo() {

        return this.getDataBySqlID("CoreOrderLine.getSpecInfo");
    }

    public CoreReturnObject getOrderSpecInfo(String specCode) {
        Object[] obj = new Object[] { specCode };
        return this.getDataBySqlID("CoreOrderLine.getOrderSpecInfo", obj);
    }

    public CoreReturnObject getBindOrderSpec(String specCode, String specName) {
        Object[] obj = new Object[] { specCode, specName };
        return this.getDataBySqlID("CoreOrderLine.getBindOrderSpecInfo", obj);
    }

    public CoreReturnObject getOrderDlyTransit(String ordLnDlyPk) {
        Object[] obj = new Object[] { ordLnDlyPk };
        return this.getDataBySqlID("CoreOrderLine.getOrderDlyTransit", obj);
    }
}
